# settlementTransactionHistory

**POST api/settlementTransactionHistory**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "till": 12345,
    "limit": 10,
    "filter": "all"
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
[
    [
        3,                // Counterparty id
        "USD",            // Currency
        1000000000,       // Amount
        1234,             // Settlement order id
        "Something",      // Comment
        1558050900000,    // Created at
        "12ehvb324gg",    // Tx UD 
        1558067800000,    // Sent At
        0,                // Reserved flags 
        1558091300000,    // Transaction moment
        567,              // Transaction id
        1000,             // Network fee
        "SWIFT"           // Transaction network 
    ]
]
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

#### Request parameters

| Field name | Type           | Description                                                                                                                                                                                                                                                                                                                |
| ---------- | -------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| filter     | string         | <p><em>Optional</em> <em>field</em> for master accounts only (FM Liquidity Match).<br>- absent or "all": returns full settlement transactions history<br>- "subaccounts": returns settlement transactions history with subaccounts<br>- "external": returns deals settlement transactions with external counterparties</p> |
| till       | Efx::OrderId   | If specified only return settlement transactions with lesser ID                                                                                                                                                                                                                                                            |
| from       | Efx::Timestamp | If specified only return settlement transactions with equal or greater creation timestamp                                                                                                                                                                                                                                  |
| to         | Efx::Timestamp | If specified only return settlement transactions with lesser creation timestamp                                                                                                                                                                                                                                            |
| limit      | unsigned int16 | <p>Default: 250</p><p>Maximum number of items to return (capped at 250)</p>                                                                                                                                                                                                                                                |

#### Response description

| Filed name                | Type                            | Description                                       |
| ------------------------- | ------------------------------- | ------------------------------------------------- |
|                           | Array of SettlementTransactions | Settlement Transactions                           |
| **SettlementTransaction** | Array\[13]                      |                                                   |
| 0                         | Efx::ClientId                   | Counterparty Id                                   |
| 1                         | string                          | Currency                                          |
| 2                         | Efx::Size                       | Amount                                            |
| 3                         | Efx::OrderId                    | Settlement Order Id                               |
| 4                         | string                          | Comment                                           |
| 5                         | Efx::Timestamp                  | Created at                                        |
| 6                         | string                          | Tx ID                                             |
| 7                         | Efx::Timestamp                  | Sent at                                           |
| 8                         | unsigned int 16                 | [Transaction Flags](/api-reference/data-types.md) |
| 9                         | Efx::Timestamp                  | Transaction Moment                                |
| 10                        | Efx::DealId                     | Transaction Id                                    |
| 11                        | Efx::Size                       | Network fee                                       |
| 12                        | string                          | Transaction network or empty                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/settlements/settlementtransactionhistory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
